return plane("{8FDB2742-2283-450D-B417-CFC47774E8B6}", "A-10A", _("A-10A"),
    {
        Cannon = "yes",
        EmptyWeight = "9389",
        HumanCockpit = "yes",
        MaxFuelWeight = "4853",
        MaxHeight = "13700",
        MaxSpeed = "840",
        MaxTakeOffWeight = "21081",
        Picture = "A-10A.png",
        Rate = "50",
        Shape = "a-10",
        WingSpan = "17.53",
        WorldID = 17,
		
		-- Countermeasures
		SingleChargeTotal = 480,
		CMDS_Incrementation = 30,
		ChaffDefault = 240, -- RR-170
		ChaffChargeSize = 1,
		FlareDefault = 120, -- MJU-7
		FlareChargeSize = 2,
		CMDS_Edit = "yes",
		
        ColorSchemes = {
			color_scheme("{D7FBDFAC-7CDA-4857-9999-CDC0F2AFD1CA}", _("104th Fighter Wing"), 0),
            color_scheme("{6D79BC93-FB8D-4EE4-AE1A-AECADB2798E5}", _("23rd FG New"), 1),
            color_scheme("{6C2CCF81-751B-42F5-93B2-4160B55DD085}", _("52th Fighter Wing"), 2),
            color_scheme("{06802A89-EC9B-486D-90C3-89C3A91F1309}", _("Flipper"), 3),
            color_scheme("{58430E22-BD3D-4CC3-B2B9-CB7ED57CB7FF}", _("European1"), 4),
            color_scheme("{A32B6C33-9C38-4BD0-BBBD-09380BA6A23E}", _("23rd FG Old"), 5),
            color_scheme("{9DF1AFBE-56FD-4E7D-AB73-0731DD4CD720}", _("JAWS"), 6),
            color_scheme("{DB597F88-04FF-40C4-9ADF-83EF6FF46246}", _("Desert1"), 7),
            color_scheme("{8FC7F7C0-FD76-4607-85F0-9B19F542DA12}", _("Desert2"), 8),
            color_scheme("{2C99F172-EAF3-4E49-8020-475E89467C9C}", _("Snow1"), 9),
        },
        Categories = {
        },
		Crew = 1,
		CanopyGeometry = {
			azimuth = {-150.0, 150.0},
			elevation = {-50.0, 90.0}
		},
		Sensors = {
			RWR = "Abstract RWR"
		},
		Failures = {
			{ id = 'asc', 		label = _('ASC'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'autopilot', label = _('AUTOPILOT'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hydro',  	label = _('HYDRO'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'l_engine',  label = _('L-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'r_engine',  label = _('R-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			--{ id = 'radar',  	label = _('RADAR'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			--{ id = 'eos',  		label = _('EOS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			--{ id = 'helmet',  	label = _('HELMET'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mlws',  	label = _('MLWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'rws',  		label = _('RWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ecm',   	label = _('ECM'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hud',  		label = _('HUD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mfd',  		label = _('MFD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },		
		},
        mapclasskey = "P0091000025",		
    },
    {
        pylon(1, 0, -0.220000, -0.062000, -5.522000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{6D21ECEA-F85B-4E8D-9D51-31DC9B8AA4EF}" }, -- ALQ-131
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, -- Smoke Generator - red
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, -- Smoke Generator - green
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, -- Smoke Generator - blue
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, -- Smoke Generator - white
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, -- Smoke Generator - yellow
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E746}" }, -- Smoke Generator - orange
            }
        ),
        pylon(2, 0, -0.690000, -0.133000, -4.526000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{FD90A1DC-9147-49FA-BF56-CB83EF0BD32B}" }, -- LAU-61 - 19 2.75' rockets MK151 HE
                { CLSID = "{3DFB7321-AB0E-11d7-9897-000476191836}" }, -- LAU-61 - 19 2.75' rockets MK156 WP
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, -- Mk-82
                { CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" }, -- Mk20
                { CLSID = "{CAE48299-A294-4bad-8EE6-89EFC5DCDF00}" }, -- SUU-25 * 8 LUU-2
            }
        ),
        pylon(3, 0, -0.615000, -0.267000, -3.468000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{FD90A1DC-9147-49FA-BF56-CB83EF0BD32B}" }, -- LAU-61 - 19 2.75' rockets MK151 HE
                { CLSID = "{A76344EB-32D2-4532-8FA2-0C1BDC00747E}" }, -- LAU-61*3 - 57 2.75' rockets MK151 HE
                { CLSID = "{3DFB7321-AB0E-11d7-9897-000476191836}" }, -- LAU-61 - 19 2.75' rockets MK156 WP
                { CLSID = "{69DC8AE7-8F77-427B-B8AA-B19D3F478B66}" }, -- AGM-65K
                { CLSID = "{D7670BC7-881B-4094-906C-73879CF7EB28}" }, -- AGM-65K*2
                { CLSID = "{907D835F-E650-4154-BAFD-C656882555C0}" }, -- AGM-65K*3
                { CLSID = "{E6A6262A-CA08-4B3D-B030-E1A993B98452}" }, -- AGM-65D*2
                { CLSID = "{444BA8AE-82A7-4345-842E-76154EFCCA46}" }, -- AGM-65D
                { CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" }, -- Mk20
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" }, -- Mk-84
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, -- Mk-82
                { CLSID = "{60CC734F-0AFA-4E2E-82B8-93B941AB11CF}" }, -- MER-3*3 Mk-82
                { CLSID = "{B83CB620-5BBE-4BEA-910C-EB605A327EF9}" }, -- MER-3*3 Mk20 Rockeye
            }
        ),
        pylon(4, 0, -0.35000, -0.355000, -1.585000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{FD90A1DC-9147-49FA-BF56-CB83EF0BD32B}" }, -- LAU-61 - 19 2.75' rockets MK151 HE
				{ CLSID = "{3DFB7321-AB0E-11d7-9897-000476191836}" }, -- LAU-61 - 19 2.75' rockets MK156 WP
				{ CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" }, -- Mk20
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, -- Mk-82
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" }, -- Mk-84
--                { CLSID = "{69DC8AE7-8F77-427B-B8AA-B19D3F478B66}" }, -- AGM-65K
--                { CLSID = "{444BA8AE-82A7-4345-842E-76154EFCCA46}" }, -- AGM-65D
            }
        ),
        pylon(5, 0, -0.615000, -0.405000, -0.587000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, -- Mk-82
                { CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" }, -- Mk20
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" }, -- Mk-84
            }
        ),
        pylon(6, 0, -0.615000, -0.410000, 0.000000,
            {
                FiZ = -3.3,
            },
            {
            }
        ),
        pylon(7, 0, -0.615000, -0.405000, 0.587000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, -- Mk-82
                { CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" }, -- Mk20
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" }, -- Mk-84
            }
        ),
        pylon(8, 0, -0.350000, -0.355000, 1.590000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{FD90A1DC-9147-49FA-BF56-CB83EF0BD32B}" }, -- LAU-61 - 19 2.75' rockets MK151 HE
                { CLSID = "{3DFB7321-AB0E-11d7-9897-000476191836}" }, -- LAU-61 - 19 2.75' rockets MK156 WP
                { CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" }, -- Mk20
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, -- Mk-82
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" }, -- Mk-84
--                { CLSID = "{69DC8AE7-8F77-427B-B8AA-B19D3F478B66}" }, -- AGM-65K
--                { CLSID = "{444BA8AE-82A7-4345-842E-76154EFCCA46}" }, -- AGM-65D
            }
        ),
        pylon(9, 0, -0.6150000, -0.270000, 3.459000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{FD90A1DC-9147-49FA-BF56-CB83EF0BD32B}" }, -- LAU-61 - 19 2.75' rockets MK151 HE
                { CLSID = "{A76344EB-32D2-4532-8FA2-0C1BDC00747E}" }, -- LAU-61*3 - 57 2.75' rockets MK151 HE
                { CLSID = "{3DFB7321-AB0E-11d7-9897-000476191836}" }, -- LAU-61 - 19 2.75' rockets MK156 WP
                { CLSID = "{69DC8AE7-8F77-427B-B8AA-B19D3F478B66}" }, -- AGM-65K
                { CLSID = "{D7670BC7-881B-4094-906C-73879CF7EB27}" }, -- AGM-65K*2
                { CLSID = "{907D835F-E650-4154-BAFD-C656882555C0}" }, -- AGM-65K*3
                { CLSID = "{E6A6262A-CA08-4B3D-B030-E1A993B98453}" }, -- AGM-65D*2
                { CLSID = "{444BA8AE-82A7-4345-842E-76154EFCCA46}" }, -- AGM-65D
                { CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" }, -- Mk20
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" }, -- Mk-84
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, -- Mk-82
                { CLSID = "{60CC734F-0AFA-4E2E-82B8-93B941AB11CF}" }, -- MER-3*3 Mk-82
                { CLSID = "{B83CB620-5BBE-4BEA-910C-EB605A327EF9}" }, -- MER-3*3 Mk20 Rockeye
            }
        ),
        pylon(10, 0, -0.690000, -0.133000, 4.520000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{FD90A1DC-9147-49FA-BF56-CB83EF0BD32B}" }, -- LAU-61 - 19 2.75' rockets MK151 HE
                { CLSID = "{3DFB7321-AB0E-11d7-9897-000476191836}" }, -- LAU-61 - 19 2.75' rockets MK156 WP
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, -- Mk-82
                { CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}" }, -- Mk20
                { CLSID = "{CAE48299-A294-4bad-8EE6-89EFC5DCDF00}" }, -- SUU-25 * 8 LUU-2
            }
        ),
        pylon(11, 0, -0.220000, -0.057000, 5.540000,
            {
                FiZ = -3.3,
            },
            {
                { CLSID = "{DB434044-F5D0-4F1F-9BA9-B73027E18DD3}" }, -- LAU-105 - 2 AIM-9M
                { CLSID = "{3C0745ED-8B0B-42eb-B907-5BD5C1717447}" }, -- LAU-105 - 2 AIM-9P
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E741}" }, -- Smoke Generator - red
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E742}" }, -- Smoke Generator - green
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E743}" }, -- Smoke Generator - blue
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E744}" }, -- Smoke Generator - white
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E745}" }, -- Smoke Generator - yellow
                { CLSID = "{A4BCC903-06C8-47bb-9937-A30FEDB4E746}" }, -- Smoke Generator - orange
            }
        ),
    },
    {
        aircraft_task(GroundAttack),
        aircraft_task(CAS),
        aircraft_task(AFAC),
    },
	aircraft_task(CAS)
);